baz_music_doa Class Reference

`#include <baz_music_doa.h>`

Inheritance diagram for baz_music_doa:
[legend]

## Public Member Functions

| ~baz_music_doa ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_array_response (const array_response_t &array_response)

## Friends

baz_music_doa_sptr | baz_make_music_doa (unsigned int m, unsigned int n, unsigned int nsamples, const array_response_t &array_response, unsigned int resolution)

## Constructor & Destructor Documentation

## ~baz_music_doa()

baz_music_doa::~baz_music_doa | ( |  | ) |

## Member Function Documentation

## set_array_response()

void baz_music_doa::set_array_response | ( | const array_response_t & | array_response | ) |

## work()

int baz_music_doa::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Symbol Documentation

## baz_make_music_doa

baz_music_doa_sptr baz_make_music_doa | ( | unsigned int | m,
|  | unsigned int | n,
|  | unsigned int | nsamples,
|  | const array_response_t & | array_response,
|  | unsigned int | resolution
| ) |  |

friend

The documentation for this class was generated from the following file:

- baz_music_doa.h